import axios from '../utils/request'
// 获取列表
export const videoList = (data) => {
  return axios({
    method: 'post',
    url: '/cms/video/list',
    data
  })
}
// 排序
export const videoSort = (id, sort) => {
  return axios({
    url: `/cms/video/sort/${id}/${sort}`
  })
}
// 是否显示
export const videoDisplay = (id, display) => {
  return axios({
    url: `/cms/video/display/${id}/${display}`
  })
}
// 点击删除
export const videoRemove = (id) => {
  return axios({
    url: `/cms/video/remove/${id}`
  })
}
// 新增、编辑
export const videoSave = (data) => {
  return axios({
    method: 'post',
    url: '/cms/video/save',
    data
  })
}
// 通过id获取详情
export const videoDetail = (id) => {
  return axios({
    url: `/cms/video/detail/${id}`
  })
}
